package com.sifang.modules.supply.warehouse.vo;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.util.List;

public class ExaminePurchaseOrderVo {

    private String id;

    @NotBlank(message = "仓库不能为空")
    private String warehouseId;

    private String examineRemark;

    @Valid
    @NotEmpty(message = "物料不能为空")
    private List<ExamineDetailVo> examineDetailVos;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getExamineRemark() {
        return examineRemark;
    }

    public void setExamineRemark(String examineRemark) {
        this.examineRemark = examineRemark;
    }

    public List<ExamineDetailVo> getExamineDetailVos() {
        return examineDetailVos;
    }

    public void setExamineDetailVos(List<ExamineDetailVo> examineDetailVos) {
        this.examineDetailVos = examineDetailVos;
    }
}
